"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Collections = require("typescript-collections");
class CodeModel {
    get nodes() {
        return this._nodes;
    }
    set nodes(value) {
        this._nodes = value;
    }
    get associations() {
        return this._associations;
    }
    set associations(value) {
        this._associations = value;
    }
    get generalizations() {
        return this._generalizations;
    }
    set generalizations(value) {
        this._generalizations = value;
    }
    constructor() {
        this._nodes = new Collections.Dictionary();
        this._associations = new Collections.Set();
        this._generalizations = new Collections.Set();
    }
}
exports.CodeModel = CodeModel;
