"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Parameter {
    get identifier() {
        return this._identifier;
    }
    set identifier(value) {
        this._identifier = value;
    }
    get type() {
        return this._type;
    }
    set type(value) {
        this._type = value;
    }
    get optional() {
        return this._optional;
    }
    set optional(value) {
        this._optional = value;
    }
    get defaultInitializer() {
        return this._defaultInitializer;
    }
    set defaultInitializer(value) {
        this._defaultInitializer = value;
    }
    constructor(identifier) {
        this._identifier = identifier;
        this._type = null;
        this._optional = false;
        this._defaultInitializer = null;
    }
}
exports.Parameter = Parameter;
