"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Collections = require("typescript-collections");
const node_1 = require("./node");
class Class extends node_1.Node {
    get methods() {
        return this._methods;
    }
    set methods(value) {
        this._methods = value;
    }
    get variables() {
        return this._variables;
    }
    set variables(value) {
        this._variables = value;
    }
    constructor(identifier, stereotype = 0 /* None */) {
        super(identifier, stereotype);
        this._methods = new Collections.Dictionary();
        this._variables = new Collections.Dictionary();
    }
}
exports.Class = Class;
