"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const property_1 = require("./property");
class FunctionProperty extends property_1.Property {
    get parameters() {
        return this._parameters;
    }
    set parameters(value) {
        this._parameters = value;
    }
    get returnType() {
        return this._returnType;
    }
    set returnType(value) {
        this._returnType = value;
    }
    constructor(identifier, accessibility, stereotype = 0 /* None */) {
        super(identifier, accessibility, stereotype);
        this._parameters = [];
        this._returnType = null;
    }
}
exports.FunctionProperty = FunctionProperty;
