"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Property {
    get identifier() {
        return this._identifier;
    }
    set identifier(value) {
        this._identifier = value;
    }
    get accessibility() {
        return this._accessibility;
    }
    set accessibility(value) {
        this._accessibility = value;
    }
    get static() {
        return this._static;
    }
    set static(value) {
        this._static = value;
    }
    get stereotype() {
        return this._stereotype;
    }
    set stereotype(value) {
        this._stereotype = value;
    }
    constructor(identifier, accessibility, stereotype = 0 /* None */) {
        this._identifier = identifier;
        this._accessibility = accessibility;
        this._stereotype = stereotype;
        this._static = false;
    }
}
exports.Property = Property;
